* , *::before , *::after {
    margin: 0;
    padding: 0;
}
i {
    background-color: white;
    border-radius: 50%;
    color: rgb(39, 43, 2);
}
.container{
    position: relative;
    display: flex;
    justify-content: center;
    top: 400px;
}
.one {
    position: absolute;
    width: 100px;
    height: 40px;
    background-color: rgb(7, 146, 7);
    text-align: center;
    line-height: 40px;
    border-radius: 10px 10px;
    z-index: 1;
    font-weight: 700 ;
    user-select: none;
    transition-property: all;
    transition-delay: 8ms;
    transition-duration: 1s;
    transition-timing-function: ease-in-out;
    box-shadow: 4px 4px 5px rgb(7 ,146 , 7);
}
.two {
    position: relative;
    left: 75px;
    width: 100px;
    height: 40px;
    background-color: rgba(197, 8, 8, 0.788);
    box-shadow: 4px 4px 5px rgb(197, 8, 8, 0.788);
    text-align: center;
    line-height: 40px;
    border-radius: 10px 10px;
    transform: scaleY(0) translateY(100px);
    z-index: 2;
    user-select: none;
    transition-property: all;
    transition-delay: 8ms;
    transition-duration: 1s;
    transition-timing-function: ease-in-out;
    font-weight: 700 ;
}
.three{
    position: relative;
    width: 150px;
    height: 40px;
    background-color: gray;
    text-align: center;
    line-height: 40px;
    transform: scaleY(0) translateX(-50px) translateY(-60px);
    font-size: 12px;
    font-weight: 700 ;
    border-radius: 40px 40px;
    user-select: none;
    z-index: 2;
    transition-property: all;
    transition-delay: 8ms;
    transition-duration: 1s;
    transition-timing-function: ease-in-out;
}
.three::after{
    content: "";
    width: 10px;
    height: 10px;
    background-color: gray;
    display: flex;
    transform: rotate(45deg) translateY(-60px) translateX(50px);
    z-index: 3;
}
.one:hover {
    transform: scaleY(0) translateY(40px);
}
.one:hover + .two{
    transform: scale(1);
}
.one:hover + i {
    color: rgb(177, 164, 176);
}
.one:hover ~ .three{ 
    transform: scaleY(1) translateX(-50px) translateY(-60px);
    box-shadow: 4px 4px 5px gray;
}